> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync Org Repository

> Sync a registry repository for an organization.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json post /admin/organizations/{org_id}/registry/repositories/{repository_id}/sync
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /admin/organizations/{org_id}/registry/repositories/{repository_id}/sync:
    post:
      tags:
        - admin
        - admin:organizations
      summary: Sync Org Repository
      description: Sync a registry repository for an organization.
      operationId: admin-sync_org_repository
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
        - name: repository_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Repository Id
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/OrgRegistrySyncRequest'
                - type: 'null'
              title: Params
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgRegistrySyncResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
components:
  schemas:
    OrgRegistrySyncRequest:
      properties:
        force:
          type: boolean
          title: Force
          description: Force sync by deleting the existing version first
          default: false
      type: object
      title: OrgRegistrySyncRequest
      description: Organization registry sync request.
    OrgRegistrySyncResponse:
      properties:
        success:
          type: boolean
          title: Success
        repository_id:
          type: string
          format: uuid
          title: Repository Id
        origin:
          type: string
          title: Origin
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
        commit_sha:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Sha
        actions_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Actions Count
        forced:
          type: boolean
          title: Forced
          default: false
        skipped:
          type: boolean
          title: Skipped
          default: false
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - success
        - repository_id
        - origin
      title: OrgRegistrySyncResponse
      description: Organization registry sync response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````